Skip to content

Payment receipts

Generate and manage payment receipts

List Receipts

Request

List all receipts for the authenticated merchant

Security
OAuth2
Query
entityIdinteger, (int64)required

Merchant/tenant identifier for tenant isolation

personIdstring, (uuid)
statusstring
Enum:"CREATED""SENT""FAILED"
createdAtFromstring, (date-time)
createdAtTostring, (date-time)
pageinteger, >= 1

Page number (1-indexed)

Default:1
Example:page=1
pageSizeinteger, [ 1 .. 200 ]

Number of items per page

Default:50
Example:pageSize=50
curl -i -X GET \
  'https://docs.nelnetpay.com/_mock/apis/receipts-service/?entityId=0&personId=497f6eca-6276-4993-bfeb-53cbbbba6f08&status=CREATED&createdAtFrom=2019-08-24T14%3A15%3A22Z&createdAtTo=2019-08-24T14%3A15%3A22Z&page=1&pageSize=50' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'

Responses

Successful response

Bodyapplication/json
responseCodestringrequired
Example:"A100"
responseMessagestringrequired
Example:"Approved"
responseDetailsnullrequired
objectobjectrequired

Business payload for this operation (null when no payload)

Response
{ "responseCode": "A100", "responseMessage": "Approved", "responseDetails": null, "object": { "results": [ … ], "pagination": { … } } }